javax.websocket

## Class ClientEndpointConfig.Configurator

- java.lang.Object
- - javax.websocket.ClientEndpointConfig.Configurator

Enclosing interface:
  ClientEndpointConfig

    public static class ClientEndpointConfig.Configurator
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ClientEndpointConfig.Configurator()`

### Method Summary

Methods
`void` `afterResponse(HandshakeResponse handshakeResponse)` Provides the client with a mechanism to inspect the handshake response that is returned from the server.
`void` `beforeRequest(java.util.Map<java.lang.String,java.util.List<java.lang.String>> headers)` Provides the client with a mechanism to inspect and/or modify the headers that are sent to the server to start the WebSocket handshake.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClientEndpointConfig.Configurator

    public ClientEndpointConfig.Configurator()

### Method Detail

#### beforeRequest

    public void beforeRequest(java.util.Map<java.lang.String,java.util.List<java.lang.String>> headers)

Provides the client with a mechanism to inspect and/or modify the headers that are sent to the server to start the WebSocket handshake.

Parameters:
  `headers` - The HTTP headers

#### afterResponse

    public void afterResponse(HandshakeResponse handshakeResponse)

Provides the client with a mechanism to inspect the handshake response that is returned from the server.

Parameters:
  `handshakeResponse` - The response